Class | Merb::Test::MultipartRequestHelper::FileParam
In: | lib/merb-core/test/helpers/multipart_request_helper.rb
Parent: | Object

### Methods

new to_multipart

### Attributes

content | [RW] |
filename | [RW] |
key | [RW] |

### Public Class methods

new(key, filename, content)

#### Parameters

key<~to_s>: | The parameter key.
filename<~to_s>: | Name of the file for this parameter.
content<~to_s>: | Content of the file for this parameter.

### Public Instance methods

to_multipart()

#### Returns

String: | The file parameter in a form suitable for a multipart request.

[Validate]